#ifndef CONTEXTCALLLOGDOCUMENT_H
#define CONTEXTCALLLOGDOCUMENT_H

#include <akndoc.h>
#include "app_context.h"
#include "settings.h"
#include "app_context_impl.h"
#include "cl_settings.h"
#include "cl_settings_impl.h"

class  CEikAppUi;

class CContextCallLogDocument : public CAknDocument
    {
    public:
        static CContextCallLogDocument* NewL(CEikApplication& aApp);

        virtual ~CContextCallLogDocument();

    private:

        CContextCallLogDocument(CEikApplication& aApp);
        void ConstructL();
	CApp_context* iContext;
	class CBBDataFactory *iBBDataFactory;
	class CBBSession *iBBSession;

    private:
        CEikAppUi* CreateAppUiL();
	TNoDefaults iNoDefaults;
    };

#endif

// End of File

