#ifndef CONTEXT_BREAK_H_INCLUDED
#define CONTEXT_BREAK_H_INCLUDED 1

#include <e32std.h>

IMPORT_C void BreakOnAllLeaves(void*);
IMPORT_C void BreakInClassModule();
IMPORT_C void BreakInActiveObject();

class TBreakItem {
public:
	IMPORT_C TBreakItem(class MApp_context*);
	IMPORT_C ~TBreakItem();
private:
	TPtrC8 iInClass;
};

#define CC_TRAP(_r, _s) { TTrap __t;if (__t.Trap(_r)==0){ { TBreakItem __breakitem(GetContext()); _s; } TTrap::UnTrap();}}
#define CC_TRAPD(_r, _s) TInt _r;{TTrap __t;if (__t.Trap(_r)==0){  { TBreakItem __breakitem(GetContext()); _s; } TTrap::UnTrap();}}
#define CC_TRAP2(_r, _s, _c) {TTrap __t;if (__t.Trap(_r)==0){ { TBreakItem __breakitem(_c); _s; } TTrap::UnTrap();}}

#endif
