#include "cc_schedulers.h"

#include "callstack.h"

EXPORT_C CDebugAppScheduler::CDebugAppScheduler(MApp_context& ctx, CCoeEnv* aCoeEnv) : 
	CCoeScheduler(aCoeEnv), MContextBase(ctx) { }

void CDebugAppScheduler::WaitForAnyRequest() 
{
	CallStackMgr().ResetCallStack();
	CCoeScheduler::WaitForAnyRequest();
}

EXPORT_C CDebugBaScheduler::CDebugBaScheduler(MApp_context& ctx) : 
	CBaActiveScheduler(), MContextBase(ctx) { }

void CDebugBaScheduler::WaitForAnyRequest() 
{
	CallStackMgr().ResetCallStack();
	CBaActiveScheduler::WaitForAnyRequest();
}
