#ifndef CONTEXT_LOOKUP_NOTIF_H_INCLUDED
#define CONTEXT_LOOKUP_NOTIF_H_INCLUDED 1

#include "checkedactive.h"
#include "bbdata.h"

class MOutgoingLookup {
public:
	virtual void OutgoingLookupL(TUint aId,
		const TDesC& aTo, const MBBData* aData) = 0;
};

class CLookupHandler : public CCheckedActive {
public:
	static CLookupHandler* NewL(MOutgoingLookup& aOutgoing);
	virtual void IncomingLookupL(const TDesC& aTo, const MBBData* aData) = 0;
	virtual void GetNextLookupL() = 0; // will do an async callback with the next one
	virtual void AckLookupL(TUint aId) = 0;
protected:
	CLookupHandler();
};

#endif
