/* 
    Copyright (C) 2004  Mika Raento - Renaud Petit

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


    email: mraento@cs.helsinki.fi - petit@cs.helsinki.fi 
*/

#ifndef CONTEXT_LOGDOCUMENT_H
#define CONTEXT_LOGDOCUMENT_H

// INCLUDES
#include <akndoc.h>
#include "app_context.h"
#include "app_context_impl.h"
#include "cl_settings.h"
#include "cbbsession.h"
#include "cl_settings.h"
#include "cl_settings_impl.h"

class  CEikAppUi;

class CContext_logDocument : public CAknDocument
    {
    public: 
        static CContext_logDocument* NewL(CEikApplication& aApp);
        virtual ~CContext_logDocument();

    private:
        CContext_logDocument(CEikApplication& aApp);
        void ConstructL();

    private:

        CEikAppUi* CreateAppUiL();
	CApp_context* iContext;
	CBBSession*	iBBSession;
	CBBDataFactory* iBBDataFactory;
	TClSettings iDefaultSettings;
	CActiveScheduler	*iBuiltinScheduler, *iDebugScheduler;
    };

#endif

// End of File

